Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class StdIOLogon

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.StdIOLogon

public class StdIOLogon
extends java.lang.Object
implements LogonModule

A dialog to capture WebLogic Integration user ID, password and server URL from STDIO.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`StdIOLogon()` Create a logon dialog.
`StdIOLogon(java.lang.String url, java.lang.String userID, java.lang.String password)` Create a logon dialog with fields primed to the supplied values.

Method Summary
`java.lang.String` | `getPassword()` Return the password.
`java.lang.String` | `getUrl()` Return the WebLogic Integration server URL.
`java.lang.String` | `getUserId()` Return the user ID.
`boolean` | `okay()` Check whether user pressed the OK button.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdIOLogon

    public StdIOLogon()
               throws java.io.IOException

  Create a logon dialog.

### StdIOLogon

    public StdIOLogon(java.lang.String url,
                      java.lang.String userID,
                      java.lang.String password)
               throws java.io.IOException

  Create a logon dialog with fields primed to the supplied values.

  Parameters:
    `url` - Server URL in `protocol:host:port` format.
    `userID` - User ID.
    `password` - Password.

Method Detail

### okay

    public boolean okay()

  Check whether user pressed the OK button.
  Specified by:
    okay in interface LogonModule

  Returns:
    `true` - if the URL and user ID are non-blank and the user closed the dialog by pressing the OK button.

### getUrl

    public java.lang.String getUrl()

  Return the WebLogic Integration server URL.
  Specified by:
    getUrl in interface LogonModule

  Returns:
    The WebLogic Integration server URL.

### getUserId

    public java.lang.String getUserId()

  Return the user ID.
  Specified by:
    getUserId in interface LogonModule

  Returns:
    The user ID.

### getPassword

    public java.lang.String getPassword()

  Return the password.
  Specified by:
    getPassword in interface LogonModule

  Returns:
    The password.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)